package lora

import (
	"context"

	"git.huangwc.com/pig/pig-farm-controller/internal/infra/logs"
	"git.huangwc.com/pig/pig-farm-controller/internal/infra/transport"
)

type PlaceholderTransport struct {
	ctx context.Context
}

func NewPlaceholderTransport(ctx context.Context) transport.Listener {
	return &PlaceholderTransport{
		ctx: ctx,
	}
}

func (p *PlaceholderTransport) Listen(ctx context.Context) error {
	logs.TraceLogger(ctx, p.ctx, "Listen").Warnf("当前不是LoRa Mesh 模式, 这只是个占位监听器")
	return nil
}

func (p *PlaceholderTransport) Stop(ctx context.Context) error {
	logs.TraceLogger(ctx, p.ctx, "Stop").Warnf("当前不是LoRa Mesh 模式, 占位监听器停止工作")
	return nil
}
